Last Comment Bug 332571 - can't encrypt e-mail message with valid certificate
: can't encrypt e-mail message with valid certificate
Status: RESOLVED FIXED
[kerh-bra]
: fixed1.8.0.5, fixed1.8.1, regression
Product: MailNews Core
Classification: Components
Component: Security: S/MIME (show other bugs)
: 1.8 Branch
: x86 Windows XP
: P1 normal (vote)
: mozilla1.8.1beta1
Assigned To: Kai Engert (:kaie)
:
Mentors:
: 333455 (view as bug list)
Depends on: 335021
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 07:11 PDT by Adam Hauner
Modified: 2009-05-04 22:47 PDT (History)
3 users (show)
dveditz: blocking1.8.0.5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Adam Hauner 2006-04-03 07:11:15 PDT
SeaMonkey/1.0/WXP
SeaMonkey1.1a/2006040204/WXP

I own valid personal certificate (for purposes Client, Server, Sign, Encrypt) as my fellows in work. I could easily send digitaly signed e-mail with my certificate, I could receive their encrypted e-mails with recognized and valid certificates and decrypt it, but when I wanna send message to one of them, I can't encrypt message, although his certificate is visible in Certificate Manager as valid and with same purposes.

In Message Security dialog, SeaMonkey displays recipient with Not Found status. I'm sending from address, respectively to address written in certificates, I'm using correct certificate for e-mail address.
Comment 1 Frank Wein [:mcsmurf] 2006-04-03 09:30:42 PDT
So the certs of the people you mail to are listed under "Other People's" in the cert manager? Their cert includes their mail address in the Subject as "E = ..."?  What do they use to send S/MIME encrypted mail? Actually i cannot imagine what else could be wrong here, S/MIME works in general, so it's not like S/MIME is completely broken.
Comment 2 Adam Hauner 2006-04-03 23:32:25 PDT
Yes, their are listed under "Other People's" and their e-mail shows in column "E-mail". But no, in Certificate Viewer I can't see their e-mail address in Subject as "E = ", there are available only CN, OU, OU, O, C items. Their e-mail address is in Extensions / Certificate Subject Alt Name as "E-mail Address: ...@..."

Issuer of my and also of their certificates is PostSignum Qualified CA <http://www.postsignum.cz/>.
Comment 3 Adam Hauner 2006-04-04 02:32:44 PDT
BTW my fellow is able to send encypted e-mail from Thunderbird 1.5 with same set of certificates.
Comment 4 Kai Engert (:kaie) 2006-04-21 17:21:56 PDT
I hope this is the same as bug 335021, let's retest once that gets fixed.
Comment 5 Kai Engert (:kaie) 2006-05-19 12:13:08 PDT
A couple of days ago, the hotfix for bug 335021 was picked up by both Mozilla trunk and Mozilla 1.8 branch.

Using a current nightly trunk build or 1.8 branch build, could you please test and confirm this bug is now fixed?
Thanks
Comment 6 Adam Hauner 2006-05-19 13:49:37 PDT
I'm on holiday now, I'll hopefully test it on wednesday on SeaMonkey 1.8 build. Thanx for note.
Comment 7 Adam Hauner 2006-05-24 02:04:40 PDT
WFM with 2006052204/1.8-branch/SeaMonkey1.1a =)
Was hotfix picked up also for 1.8.0 branch?
Comment 8 Kai Engert (:kaie) 2006-05-26 17:44:08 PDT
(In reply to comment #7)
> WFM with 2006052204/1.8-branch/SeaMonkey1.1a =)
> Was hotfix picked up also for 1.8.0 branch?

Not yet, I just requested approval for 1.8.0.5 in bug 335021.
Comment 9 Kai Engert (:kaie) 2006-06-07 14:25:10 PDT
As Julien backed out the hotfix, we are now forced to invest the additional time to verify his other patch (in bug 335021) fixes the problem, too.

I think this should block the TB 1.8.0.5 release, as it is a regression.
Comment 10 Kai Engert (:kaie) 2006-06-13 08:29:18 PDT
This has been fixed on trunk and 1.8 branch with NSS-landing bug 340724.

For 1.8.0.5 I requested approval for the patch in bug 335021.
Comment 11 Kai Engert (:kaie) 2006-06-13 08:31:46 PDT
*** Bug 333455 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.